// Задача "Кафе"
// XVII командный чемпионат школьников Санкт-Петербурга по программированию
// Автор задачи: Павел Маврин
// Автор решения: Антон Ахи, akhi@rain.ifmo.ru
import java.io.*;
import java.util.*;
import java.math.*;

public class cafe_aa implements Runnable {

	public static void main(final String[] args) {
		new Thread(new cafe_aa()).start();
	}

	BufferedReader br;
	StringTokenizer st;
	PrintWriter out;
	boolean eof = false;
	Random rand = new Random(this.hashCode());

	public void run() {
		Locale.setDefault(Locale.US);
		try {
			br = new BufferedReader(new FileReader(FNAME + ".in"));
			out = new PrintWriter(FNAME + ".out");
			solve();
			out.close();
		} catch (final Throwable e) {
			e.printStackTrace();
			System.exit(566);
		}
	}

	String nextToken() {
		while (st == null || !st.hasMoreTokens()) {
			try {
				st = new StringTokenizer(br.readLine());
			} catch (final Exception e) {
				eof = true;
				return "0";
			}
		}
		return st.nextToken();
	}

	int nextInt() {
		return Integer.parseInt(nextToken());
	}

	void myAssert(final boolean u, final String message) {
		if (!u) {
			throw new Error("Assertion failed!!! " + message);
		}
	}

	int inBounds(final int x, final int l, final int r, final String name) {
		myAssert(l <= x && x <= r, name + " not in bounds!!! " + x
				+ " not in [" + l + ".." + r + "]");
		return x;
	}

	String FNAME = "cafe";

	private void solve() throws IOException {
		final int n = inBounds(nextInt(), 1, 50, "n");
		final int m = inBounds(nextInt(), 1, 50, "m");
		int k = inBounds(nextInt(), 1, 10000, "k");
		final char[][] a = new char[n][m];
		for (int i = 0; i < a.length; i++) {
			Arrays.fill(a[i], '.');
			if (i % 3 == 1 || (a.length % 3 == 1 && i + 1 == a.length)) {
				for (int j = 0; j < a[i].length; j++) {
					if (j % 3 == 1
							|| (a[i].length % 3 == 1 && j + 1 == a[i].length)) {
						a[i][j] = 'T';
					}
				}
			}
		}
		for (int i = 0; i < a.length; i++) {
			for (int j = 0; j < a[i].length; j++) {
				if (k > 0 && a[i][j] == '.') {
					a[i][j] = 'h';
					k--;
				}
			}
		}
		if (k > 0) {
			out.println("Impossible");
		} else {
			for (int i = 0; i < a.length; i++) {
				for (int j = 0; j < a[i].length; j++) {
					out.print(a[i][j]);
				}
				out.println();
			}
		}
	}

}
